<?php

session_start();
require '../system/start.php';
require '../system/functions.php';
unreg();
$users = mysql_result(mysql_query("select count(*) from `users`"),0); 
	$str['mesto'] = 'Регистрация';
	$str['block'] = $set['site'].' / Регистрация';
echo '<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><title>Одноклассники</title>
<link href="/style/default/style.css" type="text/css" rel="stylesheet"/>
<link rel="icon" href="/style/default/favicon.ico" type="image/x-icon"/>
<link rel="shortcut icon" href="/style/default/favicon.ico" type="image/x-icon"/>
<script>
var __pstd=0;
</script></head>';
echo '<body class="noscroll"><div id="head"><a id="lgo" href="/"><span>Vcollektive.com</span></a></div><div id="content"><div class="tac">';

if (isset($_POST['login']) && !empty($_POST['login']) && !empty($_POST['password']) && !empty($_POST['password1']) && !empty($_POST['code']))
{
	# Фильтруем все POST данные
	$login = protect($_POST['login'], 12);
	$name = protect($_POST['name']);
	$mail = protect($_POST['mail'], 32);
	$password = protect($_POST['password'], 32);
	$password1 = protect($_POST['password1'], 32);
	$code = int($_POST['code']);
	$pol = int($_POST['pol']);
	echo '<div class="mess">';
	# Проверка паролей
	if($password != $password1)
	{
		echo 'Пароли не совпадают!<br /><a href="signup.php">Назад</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	# Проверка проверочного кода
	if($_SESSION['code'] != $code)
	{
		echo 'Проверочный код введен не верно!<br /><a href="signup.php">Назад</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	# Проверка логина (Зарегистрирован или нет)
	if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `login` = '".$login."' LIMIT 1"),0) != 0)
	{
		echo 'Логин уже зарегистрирован!<br /><a href="signup.php">Назад</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	# Проверка логина на символы
	if (!preg_match('|^[a-z0-9\-]+$|i',$login))
	{
		echo 'В логине можно использовать только латиницу и цифры!<br /><a href="signup.php">Назад</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
    }
    # Проверка email на символы
    if (!empty($mail) && !preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#',$mail))
    {
    	echo 'Вы ввели неверный адрес e-mail, необходим формат name@site.domen!<br /><a href="signup.php">Назад</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
    }

	# Проверка email
	if (!empty($mail) && (mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `mail` = '".$mail."' LIMIT 1"),0) != 0))
	{
		echo 'Пользователь с таким email уже зарегистрирован!<br /><a href="signup.php">Назад</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	else
	{
		$subject = "Регистрация ($set[site])";
		$regmail = "Здравствуйте ".$login."<br />\r\nТеперь вы зарегистрированный пользователь сайта $set[site] , сохраните ваш логин и пароль  в надежном месте, он вам еще пригодится.<br />\r\nВаши данные для входа на на сайт<br />\r\nЛогин: ".$login."<br />\r\nПароль: ".$password."<br />\r\n<br />\r\nНадеемся вам понравится на нашем портале!<br />\r\nС уважением, администрация сайта<br />\r\n";
		$adds = "From: <$set[reg_mail]>\n";
		$adds .= "X-sender: <$set[reg_mail]>\n";
		$adds .= "Content-Type: text/html; charset=utf-8\n";
		mail($mail,$subject,$regmail,$adds);
	}
		mysql_query("INSERT INTO `users` (login,password,name,mail,reg_time,gender,style,time,greeting) values('".$login."','".md5($password)."','".$name."','".$mail."',".time().",".$pol.",'".$style."',".time().",'Всем привет!')");
		echo 'Вы успешно зарегистрированы!<br />
		<img src="/style/'.$style.'/ico/personal.gif"> <a href="sign.php?login='.$login.'&amp;password='.$password.'"><b>Вход на сайт</b></a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
}
echo '<form action="signup.php" method="post">
<div>
<div class="act"><i>*Логин: (латинские символы)</i></div>
<input name="login" type="text" value="" /></i></div>
<div class="act"><i>*Имя:</i></div>
<input name="name" type="text" value="" /><br/>
<div class="act"><i>*Вы:</i></div>
<select size="1" name="pol">
<option value="1">Парень</option>
<option value="2">Девушка</option>
</select><br/>
<div class="act"><i>*Пароль: (от 6 до 16 символов) Надёжный!</i></div>
<input name="password" type="text" value="" /><br/>
<div class="act"><i>*Повторите пароль:</i></div>
<input name="password1" type="text" value="" /><br/>
<div class="act"><i>Почта (желательно, но не обезательно):</i></div>
<input name="mail" type="text" value="" /><br/>
<div class="act"><i>*Код с картинки:</i></div> <img src="captcha.php" alt="captcha" /><br>
<input name="code" type="text" value="" /><br/>
<input type="submit" value="Регистрировать!" /></div></form>';
echo '<center><div class="act"><i>Вернуться на&nbsp;</i><a class="alnk" href="/"><span class="lnk">главную страницу</span></a></div>
<div class="act"><i>© 2012 Vcollektive.Com</i></div></center>'; 
echo '</div></body></html> ';

?>